BASELAYOUT(8)

NAME
rc-update - add and remove init scripts to a runlevel

SYNOPSIS
rc-update add script <runlevels>
rc-update del script [runlevels]
rc-update show [--verbose] [runlevels]

DESCRIPTION
Gentoo's init system uses named runlevels. Rather than editing some obscure file or managing a directory of symlinks, rc-update exists to quickly add or delete init scripts from different runlevels. All scripts specified with this utility must reside in the /etc/init.d directory. They must also conform to the Gentoo runscript standard.

OPTIONS

add (-a) script <runlevels>
    Add the specified init script to the specified runlevels. You must specify at least one runlevel. Example: rc-update add net.eth0 default

del (-d) script [runlevels]
    Delete the specified init script from the specified runlevels. If you do not specify the runlevels from which to delete, the script will be removed from all exists runlevels. Example: rc-update del sysklogd

show (-s) [-v|--verbose] [runlevels]
    Show all enabled scripts and the runlevels they belong to. If you specify runlevels to show, then only those will be included in the output. To view all init scripts, run with the --verbose option. Example: rc-update show

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
rc-status(8) http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=4

AUTHORS
Mike Frysinger <vapier@gentoo.org>

CVS HEADER
$Header$